<script src="./Script.js"></script>

<template>
  <div>
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div>
      <table class="table">
        <thead>
          <tr>
            <th>Mã sản phẩm</th>
            <th>Tên sản phẩm</th>
            <th>Số lượng</th>
            <th>Thành tiền</th>
            <th>Người sử dụng</th>
            <th>Trạng thái giao hàng</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(product, index) in products" :key="index">
            <template v-if="products && products.length > 0">
              <td>
                <a
                  v-if="accessible( userCheckAddOn, 'deal', PERMISSION_SHOW_DEAL, userCurrentPermissions)"
                  class="m-link m-link--primary nt-link"
                  :href="getRouteLink('productDetail', {product_id: product.product_id})"
                >{{ product.product_code }}</a>

                <!--<router-link v-if="accessible( userCheckAddOn, 'deal', PERMISSION_SHOW_DEAL, userCurrentPermissions)"-->
                <!--class="m-link m-link&#45;&#45;primary nt-link" target="_blank"-->
                <!--:to="{name : 'productDetail', params : {team_id : currentTeam.team_id, product_id : product.product_id} }">-->
                <!--{{ product.product_code }}-->
                <!--<i class="icon icon-external-link-01"></i>-->
                <!--</router-link>-->

                <a
                  v-else
                  class="m-link m-link--primary nt-link"
                  href="jvascript:;"
                  data-toggle="m-tooltip"
                  :data-original-title="titleNotPermisson"
                  data-html="true"
                >{{ product.product_code }}</a>
              </td>
              <td>{{ product.product_name }}</td>
              <td>
                <div class="pull-right">
                  <template
                    v-if="product.product_type === 'Dịch vụ'"
                  >{{ parseInt(product.quantity).toString() | formatNumber }}</template>
                  <template v-else>
                    <template
                      v-if="product.quantity.toString().indexOf('.') != -1"
                    >{{ product.quantity.replace(".", ",") | formatNumber }}</template>
                    <template v-else>{{ parseInt(product.quantity).toString() | formatNumber }}</template>
                  </template>
                </div>
              </td>
              <td>
                <div class="pull-right">{{ parseInt(product.total_price) | formatNumberPrice }}</div>
              </td>
              <td>
                <template v-if="product.customer_id">
                  <template v-if="product.customer_id == customer_id">{{ product.customer_name }}</template>
                  <template v-else>
                    <a
                      class="m-link m-link--primary nt-link"
                      :href="getRouteLink('customerDetails', {customer_id: product.customer_id})"
                    >{{ product.customer_name }}</a>

                    <!--<router-link class="m-link m-link&#45;&#45;primary nt-link" target="_blank"-->
                    <!--:to="{name : 'customerDetails', params : {team_id : currentTeam.team_id, customer_id : product.customer_id} }">-->
                    <!--{{ product.customer_name }}-->
                    <!--<i class="icon icon-external-link-01"></i>-->
                    <!--</router-link>-->
                  </template>
                </template>
              </td>
              <td>
                <template v-if="product.is_delivered == 1">Chưa giao hàng</template>
                <template v-if="product.is_delivered == 2">Đã giao hàng</template>
              </td>
            </template>
          </tr>
          <tr v-if="products && products.length <= 0">
            <td colspan="100" class="text-center" style="padding: 20px 0;">Chưa có sản phẩm nào.</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>
